Skip to main content
GET
/
templates
/
{template_id}
/
builds
List recent builds for a template
curl --request GET \
  --url https://api-staging.superserve.ai/templates/{template_id}/builds \
  --header 'X-API-Key: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "pending",
    "build_spec_hash": "<string>",
    "error_message": "step_failed: step 1/2 failed after 3s: exited with code 100",
    "started_at": "2023-11-07T05:31:56Z",
    "finalized_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.superserve.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

template_id
string<uuid>
required

The unique identifier of the template.

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100

Response

List of builds, newest first

id
string<uuid>
template_id
string<uuid>
status
enum<string>
Available options:
pending,
building,
snapshotting,
ready,
failed,
cancelled
build_spec_hash
string

Stable hash of the build_spec at submission time. Used for idempotent submits.

error_message
string

Populated when status = failed. The message is prefixed with a stable error code the UI / SDK can key on: image_pull_failed, step_failed, boot_failed, snapshot_failed, start_cmd_failed, ready_cmd_failed, or build_failed (fallback).

Example:

"step_failed: step 1/2 failed after 3s: exited with code 100"

started_at
string<date-time>
finalized_at
string<date-time>
created_at
string<date-time>